Bug 949303 - Bitlbee socket not listening on IPv6
Summary: Bitlbee socket not listening on IPv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bitlbee
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-07 15:36 UTC by Mike Grant
Modified: 2018-04-11 19:30 UTC (History)
3 users (show)

Fixed In Version: bitlbee-3.2-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 22:27:34 UTC


Attachments (Terms of Use)
suggested patch (just a cosmetic changes from the reporter's one) (2.14 KB, patch)
2013-04-11 04:45 UTC, Matěj Cepl
redhat: review+
Details | Diff


Links
System ID Priority Status Summary Last Updated
BitlBee 1008 None None None Never

Description Mike Grant 2013-04-07 15:36:52 UTC
Description of problem:
The systemd unit file for the Bitlbee IRC->IM gateway is hardcoded for IPv4.

Version-Release number of selected component (if applicable):
bitlbee-3.2-1.fc18.x86_64

How reproducible:
100%

Steps to Reproduce:
1. systemctl start bitlbee.socket
2. telnet ::1 6667
  
Actual results:
No connection.

Expected results:
Connection to Bitlbee daemon.

Additional info:

The following change to /lib/systemd/system/bitlbee.socket fixes it and retains the binding to the loopback device:

  Change from:
[Socket]
ListenStream=127.0.0.1:6667

  to:
[Socket]
ListenStream=6667
BindToDevice=lo
Accept=yes

Comment 1 Matěj Cepl 2013-04-07 16:20:37 UTC
Is that really it? I see 127.0.0.1 all over the place:

matej@wycliff: bitlbee (master %)$ grep -ri 127.0.0.1 .
./bitlbee.xinetd:	bind		= 127.0.0.1
./bitlbee-forkdaemon.patch:+DaemonInterface = 127.0.0.1
./bitlbee-3.2/bitlbee.conf:DaemonInterface = 127.0.0.1
./bitlbee-3.2/doc/bitlbee.xinetd:	# bind            = 127.0.0.1
./bitlbee-3.2/utils/bitlbeed.c:				cli_txt = "127.0.0.1";
./bitlbee-3.2/init/bitlbee.socket:ListenStream=127.0.0.1:6667
matej@wycliff: bitlbee (master %)$

Comment 2 Mike Grant 2013-04-07 16:26:14 UTC
That's all I needed to do to get it to work on my machine, which is only using the systemd socket approach.  I'm sure you're correct that it should be changed in those other places too, to adjust the complete package.  I'm happy to go through all the other ways of running it if that'd help.

Comment 3 Matěj Cepl 2013-04-11 04:45:51 UTC
Created attachment 733991 [details]
suggested patch (just a cosmetic changes from the reporter's one)

Robert, what do you think? It seems to work here correctly.

Comment 4 Robert Scheck 2013-08-05 11:44:52 UTC
I am fine with the patch, makes absolutely sense. Do you see chances that we
get that one also upstream on the long term?

Comment 5 Fedora Update System 2013-08-16 13:47:19 UTC
bitlbee-3.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bitlbee-3.2-6.fc19

Comment 6 Fedora Update System 2013-08-16 13:48:08 UTC
bitlbee-3.2-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bitlbee-3.2-6.fc18

Comment 7 Fedora Update System 2013-08-16 13:48:50 UTC
bitlbee-3.2-6.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/bitlbee-3.2-6.el6

Comment 8 Fedora Update System 2013-08-16 14:03:13 UTC
bitlbee-3.2-6.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/bitlbee-3.2-6.el5

Comment 9 Fedora Update System 2013-08-16 19:51:06 UTC
Package bitlbee-3.2-6.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing bitlbee-3.2-6.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11236/bitlbee-3.2-6.el6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-08-24 22:27:34 UTC
bitlbee-3.2-6.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-08-24 22:29:12 UTC
bitlbee-3.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-08-26 16:49:40 UTC
bitlbee-3.2-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-09-05 19:12:08 UTC
bitlbee-3.2-6.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.